#include "SysTick.h"
#include "stm32l053xx.h"
#include <stdint.h>

#define SYSTICK_COUNT_ENABLE				1
#define SYSTICK_INTERRUPT_ENABLE		2

static uint32_t volatile Tick = 0;

void SysTick_Init(void)
{
	SysTick->VAL = 0xA00;
	SysTick->LOAD = 0xA00;
	SysTick->CTRL = SYSTICK_COUNT_ENABLE | SYSTICK_INTERRUPT_ENABLE;
}

void SysTick_Handler(void)
{
	Tick++;	
}

uint32_t SysTick_Get(void)
{
	return Tick;
}
