#include "power.h"
#include <stdint.h>
#include "stm32l053xx.h"

void Power_ModeStop(PowerWake_t WakeupType)
{
  uint32_t temp = 0;

  // Get the current value of the Power Register 
  temp = PWR->CR;
	
  // Clear PDDS and LPDS bits
  temp &= (uint32_t)~(PWR_CR_PDDS | PWR_CR_LPSDSR);

  // Write the new register value
  PWR->CR = temp;
  
	// Set the deep sleep bit
  SCB->SCR |= SCB_SCR_SLEEPDEEP_Msk;
  
  if(WakeupType == POWER_WAKE_WFI)
  {
    __WFI();
  }
  else
  {
    __SEV();
    __WFE();
  }	
}
